Bug 540522

Summary: SELinux is preventing /usr/bin/vlc from loading /usr/lib/libx264.so.68 which requires text relocation.
Product: [Fedora] Fedora Reporter: Marko Nurmenniemi <marko.nurmenniemi>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, masterofdestiny, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:0a941c970065845e3fc23dac9512f4684889b9bca713d47273736ff49e989aca
Fixed In Version: 3.6.32-49.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-01 16:41:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Marko Nurmenniemi 2009-11-23 15:15:49 UTC
Summary:

SELinux is preventing /usr/bin/vlc from loading /usr/lib/libx264.so.68 which
requires text relocation.

Detailed Description:

The vlc application attempted to load /usr/lib/libx264.so.68 which requires text
relocation. This is a potential security problem. Most libraries do not need
this permission. Libraries are sometimes coded incorrectly and request this
permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/libx264.so.68 to use relocation as a workaround, until the library is
fixed. Please file a bug report.

Allowing Access:

If you trust /usr/lib/libx264.so.68 to run correctly, you can change the file
context to textrel_shlib_t. "chcon -t textrel_shlib_t '/usr/lib/libx264.so.68'"
You must also change the default file context files on the system in order to
preserve them even on a full relabel. "semanage fcontext -a -t textrel_shlib_t
'/usr/lib/libx264.so.68'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/libx264.so.68'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/libx264.so.68 [ file ]
Source                        vlc
Source Path                   /usr/bin/vlc
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           vlc-1.0.3-48.fc12
Target RPM Packages           libx264_68-0.68-10_20090719.2245.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP Sat Nov 7
                              21:41:45 EST 2009 i686 i686
Alert Count                   15
First Seen                    Mon 09 Nov 2009 05:16:40 PM EET
Last Seen                     Mon 23 Nov 2009 05:13:05 PM EET
Local ID                      039f781a-c93d-40e9-b294-92dd039ee967
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258989185.730:224): avc:  denied  { execmod } for  pid=7419 comm="vlc" path="/usr/lib/libx264.so.68" dev=dm-0 ino=85110 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258989185.730:224): arch=40000003 syscall=125 success=no exit=-13 a0=72f000 a1=96000 a2=5 a3=bfbfc770 items=0 ppid=1 pid=7419 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4 comm="vlc" exe="/usr/bin/vlc" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,vlc,unconfined_execmem_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_execmem_t ==============
allow unconfined_execmem_t lib_t:file execmod;

Comment 1 Daniel Walsh 2009-11-23 17:10:15 UTC
Fix the label with the chcon command described above.  Default label 
Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:43 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:24:02 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:35:09 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.